From 657570f32c8151dcd74eeb4810d97b090c3ac889 Mon Sep 17 00:00:00 2001
From: "Imseih (AWS)" <simseih@88665a22795f.ant.amazon.com>
Date: Fri, 27 May 2022 13:28:50 -0500
Subject: [PATCH 1/1] Patch_to_repro

---
 src/backend/access/transam/xlog.c         | 2 ++
 src/backend/access/transam/xlogrecovery.c | 4 ++--
 2 files changed, 4 insertions(+), 2 deletions(-)

diff --git a/src/backend/access/transam/xlog.c b/src/backend/access/transam/xlog.c
index 71136b1..dc301ed 100644
--- a/src/backend/access/transam/xlog.c
+++ b/src/backend/access/transam/xlog.c
@@ -6813,6 +6813,8 @@ CreateOverwriteContrecordRecord(XLogRecPtr aborted_lsn, XLogRecPtr pagePtr,
 		elog(ERROR, "OVERWRITE_CONTRECORD was inserted to unexpected position %X/%X",
 			 LSN_FORMAT_ARGS(ProcLastRecPtr));
 
+	elog(LOG, "creating overwrite contrecord at %X/%X for aborted_lsn %X/%X",
+				LSN_FORMAT_ARGS(recptr), LSN_FORMAT_ARGS(aborted_lsn));
 	XLogFlush(recptr);
 
 	END_CRIT_SECTION();
diff --git a/src/backend/access/transam/xlogrecovery.c b/src/backend/access/transam/xlogrecovery.c
index 6eba626..5ee90b6 100644
--- a/src/backend/access/transam/xlogrecovery.c
+++ b/src/backend/access/transam/xlogrecovery.c
@@ -1971,8 +1971,8 @@ xlogrecovery_redo(XLogReaderState *record, TimeLineID replayTLI)
 				 LSN_FORMAT_ARGS(record->overwrittenRecPtr));
 
 		/* We have safely skipped the aborted record */
-		abortedRecPtr = InvalidXLogRecPtr;
-		missingContrecPtr = InvalidXLogRecPtr;
+		//abortedRecPtr = InvalidXLogRecPtr;
+		//missingContrecPtr = InvalidXLogRecPtr;
 
 		ereport(LOG,
 				(errmsg("successfully skipped missing contrecord at %X/%X, overwritten at %s",
-- 
2.32.1 (Apple Git-133)

